QGIS Application - Feature request #4017
Layer and measurement units
2011-06-24 03:14 AM - jtornero -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 14004
Description

It would be nice to have more options about layer and measurement units (as gvSig, for instance). marine scientists do miss nautical
miles, sq nautical miles, etc. The measurements are always in km (as far as | know). Also, derived magnitudes should be affected.
Thanks

Associated revisions

Revision 344a5b6e - 2013-10-18 01:48 PM - Alexander Bruy

[FEATURE] add Nautical miles to measure units (fix #4017). Initial patch
by Jorge Tornero with improvements

History

#1 - 2011-08-29 10:49 PM - Paolo Cavallini
- Category set to Map Canvas
- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-04-22 06:57 AM - Mathieu Doray

I work for an important marine research institute, conducting sea surveys. My institute is thinking of getting rid of ArcGIS because of the enormous license
fees. | would love that, because | am a vibrant open source software user and developer. The only thing that now prevents me from lobbying in favour of
dropping ArcGIS and using QGIS is the fact that | cannot measure distances in nautical miles on the map, while planning my surveys. | would then like to
re-emphasis the need for including new distance measurement units in QGIS, especially nautical miles.

Thank you for the great job made on QGIS!

#6 - 2013-04-22 07:15 AM - Giovanni Manghi

Mathieu Doray wrote:

I work for an important marine research institute, conducting sea surveys. My institute is thinking of getting rid of ArcGIS because of the enormous

license fees. | would love that, because | am a vibrant open source software user and developer. The only thing that now prevents me from lobbying
in favour of dropping ArcGIS and using QGIS is the fact that | cannot measure distances in nautical miles on the map, while planning my surveys. |
would then like to re-emphasis the need for including new distance measurement units in QGIS, especially nautical miles.
Thank you for the great job made on QGIS!

if this is the only thing that keeps you away from QGIS then consider that probably you can have this feature added for a very small fraction of 1 arcgis
license.

#7 - 2013-04-23 07:11 AM - jtornero -

Well... after reading yesteerday's messages both from Mathieu and Giovanni, I've decide to set out for look for a solution myself. | have done a pretty good
workaround, but | am having some trouble; anyway, now | am able to select nautical miles as an unit and also get not only measures from measuring tool in
nautical miles but derived units when selecting objects. It has been easier than | expected, but due to my inexperiencie with C++ and QtTranslator | can't
categorically affirm that my solution works 100%. Some test measures within my projects have rendered the correct distances but | don't know if it is a
global solution (ALL CRS's).

I've just edited some sources and .ui files and recompiled, with a text editor and that's all, but works.

I would like to contribute with my solution but | need some help about 1) translation (mainly the string matching the unit name in measure dialog, | have
been trying to do something with QtLinguist but | can't add new strings) 2) how to create/send patches and also help making it in a nice way, if possible.

In other words: | need a experienced developer to check what | made and improve it if neccesary. Maybe what | did is a complete waste of time (well... in
the actual state and for me it is not)

Long Live QGis!! Long Live Marine Scientist who miss QGis support for nautical units!!! :)

Thank you very much for your excellent work

Jorge Tornero

#8 - 2013-04-23 07:23 AM - Giovanni Manghi

Hi Jorge,

the right way to contribute this patch is by submitting it on github

https://github.com/qgis/Quantum-GIS

cheers!

jtornero - wrote:
Well... after reading yesteerday's messages both from Mathieu and Giovanni, I've decide to set out for look for a solution myself. | have done a pretty
good workaround, but | am having some trouble; anyway, now | am able to select nautical miles as an unit and also get not only measures from
measuring tool in nautical miles but derived units when selecting objects. It has been easier than | expected, but due to my inexperiencie with C++
and QtTranslator | can't categorically affirm that my solution works 100%. Some test measures within my projects have rendered the correct
distances but | don't know if it is a global solution (ALL CRS's).

I've just edited some sources and .ui files and recompiled, with a text editor and that's all, but works.

I would like to contribute with my solution but | need some help about 1) translation (mainly the string matching the unit name in measure dialog, |

2025-12-15 2/3


https://github.com/qgis/Quantum-GIS

have been trying to do something with QtLinguist but | can't add new strings) 2) how to create/send patches and also help making it in a nice way, if

possible.

In other words: | need a experienced developer to check what | made and improve it if neccesary. Maybe what | did is a complete waste of time
(well... in the actual state and for me it is not)

Long Live QGis!! Long Live Marine Scientist who miss QGis support for nautical units!!! :)

Thank you very much for your excellent work

Jorge Tornero

#9 - 2013-04-26 02:28 AM - jtornero -

Dear all,

I've pull-requested and/or commited

Adding support for measurements in nautical miles, Issue #4017

on gitHub as suggested by Giovanni Manghi.

I hope I've done all right... The changes have been tested against some reference polygons/lines both with ST_area in postgresql/postgis and ArcGIS, and
the results are OK.

I hope we'll see this feature working soon. I'll focus on scalebar on map composer next time, but for now it has been enough.

Thank you very much for all,

Jorge Tornero

#10 - 2013-04-26 03:15 AM - Matthias Kuhn

I'm not sure if this feature can be accepted for inclusion in 2.0, as we are in feature freeze about a month already. But it looks to me as this can very well be

included in 2.1.

Thank you very much Jorge.

#11 - 2013-10-18 04:49 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"344a5b6e55b363f4f4ee7d4978c7cf44b6f9c8be".

#12 - 2013-10-18 04:50 AM - Alexander Bruy
- Resolution set to fixed/implemented
